Retrieve conflicted merges in this repo
curl --request GET \
--url https://api.diversion.dev/v0/repos/{repo_id}/merges \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/merges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/merges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "Merge",
"items": [
{
"id": "<string>",
"repo_id": "<string>",
"user": {
"id": "<string>",
"image": "<string>",
"email": "jsmith@example.com",
"full_name": "<string>",
"name": "<string>"
},
"base_ref": "<string>",
"base_commit": "<string>",
"other_ref": "<string>",
"other_commit": "<string>",
"ancestor_commit": "<string>"
}
]
}Repository Merge Manipulation
List open merges
Lists all open merge operations for a repository, optionally filtered by base_id (target branch) and other_id (source branch/commit).
Sorting: Results are sorted with the current user’s merges first, then by creation time.
Information included: Each merge includes basic information without conflict details.
Requirements: Requires READ access to the repository.
GET
/
repos
/
{repo_id}
/
merges
Retrieve conflicted merges in this repo
Authorizations
OAuth2OAuth2
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Query Parameters
A reference to a base unto which changes will be applied
Required string length:
3 - 128Example:
"example_id"
A reference to a source version from which changes will be taken
Required string length:
3 - 128Example:
"example_id"

